Package com.oracle.nosql.spring.data.repository.support

# Class NosqlRepositoryFactory

java.lang.Object
org.springframework.data.repository.core.support.RepositoryFactorySupport
com.oracle.nosql.spring.data.repository.support.NosqlRepositoryFactory

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanClassLoaderAware`, `org.springframework.beans.factory.BeanFactoryAware`, `org.springframework.context.EnvironmentAware`, `org.springframework.core.env.EnvironmentCapable`

public class NosqlRepositoryFactory extends org.springframework.data.repository.core.support.RepositoryFactorySupport

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NosqlRepositoryFactory(NosqlOperations nosqlOperations, org.springframework.context.ApplicationContext applicationContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T, ID> org.springframework.data.repository.core.EntityInformation<T,ID>`
  `getEntityInformation(Class<T> domainClass)`
  `protected Optional<org.springframework.data.repository.query.QueryLookupStrategy>`
  `getQueryLookupStrategy(org.springframework.data.repository.query.QueryLookupStrategy.Key key, org.springframework.data.repository.query.QueryMethodEvaluationContextProvider evaluationContextProvider)`
  `protected Class<?>`
  `getRepositoryBaseClass(org.springframework.data.repository.core.RepositoryMetadata metadata)`
  `protected Object`
  `getTargetRepository(org.springframework.data.repository.core.RepositoryInformation information)`

  ### Methods inherited from class org.springframework.data.repository.core.support.RepositoryFactorySupport

  `addInvocationListener, addQueryCreationListener, addRepositoryProxyPostProcessor, getEnvironment, getProjectionFactory, getProjectionFactory, getQueryLookupStrategy, getQueryMethods, getRepository, getRepository, getRepository, getRepositoryFragments, getRepositoryInformation, getRepositoryMetadata, getTargetRepositoryViaReflection, getTargetRepositoryViaReflection, instantiateClass, setBeanClassLoader, setBeanFactory, setEnvironment, setEvaluationContextProvider, setEvaluationContextProvider, setExposeMetadata, setNamedQueries, setQueryLookupStrategyKey, setRepositoryBaseClass, validate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NosqlRepositoryFactory

    public NosqlRepositoryFactory(NosqlOperations nosqlOperations, org.springframework.context.ApplicationContext applicationContext)

- ## Method Details

  - ### getRepositoryBaseClass

    protected Class<?> getRepositoryBaseClass(org.springframework.data.repository.core.RepositoryMetadata metadata)
    Specified by:
      `getRepositoryBaseClass` in class `org.springframework.data.repository.core.support.RepositoryFactorySupport`

  - ### getTargetRepository

    protected Object getTargetRepository(org.springframework.data.repository.core.RepositoryInformation information)
    Specified by:
      `getTargetRepository` in class `org.springframework.data.repository.core.support.RepositoryFactorySupport`

  - ### getEntityInformation

    public <T, ID> org.springframework.data.repository.core.EntityInformation<T,ID> getEntityInformation(Class<T> domainClass)
    Specified by:
      `getEntityInformation` in class `org.springframework.data.repository.core.support.RepositoryFactorySupport`

  - ### getQueryLookupStrategy

    protected Optional<org.springframework.data.repository.query.QueryLookupStrategy> getQueryLookupStrategy(org.springframework.data.repository.query.QueryLookupStrategy.Key key, org.springframework.data.repository.query.QueryMethodEvaluationContextProvider evaluationContextProvider)
    Overrides:
      `getQueryLookupStrategy` in class `org.springframework.data.repository.core.support.RepositoryFactorySupport`